CreddotDocsCreddot Docs
API referenceSubscriptions

Read one subscriber

active is true while the customer has paid for the current cycle (ACTIVE) or is inside the grace period (OVERDUE).

GET
/api/v1/subscriptions/subscribers/{subscriberId}

active is true while the customer has paid for the current cycle (ACTIVE) or is inside the grace period (OVERDUE).

Authorization

api-key
headerx-api-key<token>

Your API key: ck_test_... for test mode, ck_live_... for live. Send it with x-api-secret (or Authorization: Bearer ).

Path Parameters

subscriberId*string

Header Parameters

x-api-secret?string

Recommended: API secret sent over HTTPS. You may send it as Authorization: Bearer instead. If supplied, x-timestamp and x-signature are not required.

x-timestamp?string

Legacy signed mode: Unix time in milliseconds; maximum clock skew five minutes.

x-signature?string

Legacy signed mode: HMAC-SHA256(secret, timestamp.METHOD.url.idempotencyKey.bodyHash).

Response Body

application/json
  1. response
id*string
orderCode*string
customerId*string|null
customerName*string
customerEmail*string
amountMinor*string
currency*string
paymentMethod*string|null
status*string
Value in"PENDING""PROCESSING""ACTIVE""OVERDUE""LAPSED""CANCELLED"
customerPhone*string|null
lastPaidAt*string|null
overdueAt*string|null
lapsedAt*string|null
planId*string|null
planName*string|null
billingCycle*|
Value in"WEEKLY""MONTHLY""QUARTERLY""BIANNUALLY""ANNUALLY"
startedAt*string|null
nextBillingAt*string|null
cancelledAt*string|null
createdAt*string
Example Request
curl -X GET 'https://api.creddot.com/api/v1/subscriptions/subscribers/string'
Example Response
{  "id": "string",  "orderCode": "string",  "customerId": "string",  "customerName": "string",  "customerEmail": "string",  "amountMinor": "string",  "currency": "string",  "paymentMethod": "string",  "status": "PENDING",  "customerPhone": "string",  "lastPaidAt": "string",  "overdueAt": "string",  "lapsedAt": "string",  "planId": "string",  "planName": "string",  "billingCycle": "WEEKLY",  "startedAt": "string",  "nextBillingAt": "string",  "cancelledAt": "string",  "createdAt": "string"}